<?php
if(!defined('_A'))die("<meta http-equiv='refresh' content=0;url='/'>");
define('WWW',strtolower(!empty($_SERVER['HTTP_X_FORWARDED_HOST'])?$_SERVER['HTTP_X_FORWARDED_HOST']:$_SERVER['HTTP_HOST']));
date_default_timezone_set ('Asia/Shanghai');
$_0=C.A.D.'copy'.D;
$_3=isset($_GET["get"])?$_GET["get"]:0;
$ml1=explode(':',C);
$ml2=explode(':',str_replace("\\",'/',$_SERVER["DOCUMENT_ROOT"]));
$gml=count($ml1)==1?$ml1[0]:$ml1[1];
$zml=count($ml2)==1?$ml2[0]:$ml2[1];
$ml=str_replace($gml,'',$zml);
define('_1',$_1='/1');
define('_SN',$_SERVER['SCRIPT_NAME'].D);
define('_ML',strpos($ml,D)===0?$ml:D.$ml);
if(O==$_1)die(_SN);
if(3==$_3)die("$_3");
if(4==$_3)die(phpinfo());
if(5==$_3)die(mysql_get_server_info());
if(6==$_3)die($_SERVER['SERVER_SOFTWARE']);
if(7==$_3)die(PHP_OS.' / PHP v'.PHP_VERSION);
$ft="</center>\n<footer>".P." ◎2017-".date('Y')."</footer>";
$qz=$_3?"<a target='_blank' href='http://www.02408.com/'>点击进入官网求助</a>　".($_3>1?" <a href='"._SN."?get=0' class='button'>或者返回重新配置</a>":'')."　<a target='blank' href='tencent://message/?uin=770111722&Menu=yes' class='lan'><img align='absMiddle' src='http://wpa.qq.com/pa?p=4:770111722:4' border='0'> 付费技术支持：QQ（770111722）</a>":'';
$c0=H.E.'config.php';
$c1=C.D.$c0;
$c2=preg_replace("/[0-9.:]/",'',WWW);
$c3=($c2==''||$c2=='localhost');
if(isset($_POST['name']))
	foreach($_POST as $k=>$v)FN(array($h=substr($k,0,2),$v));
$_2='http'.(_Z(0)?'s':'').'://'.WWW._ML.'1';
$_4=_SN==@file_get_contents($_2);
$_5=C.A.D.H.B;
$URL=$_4?'/':_SN;
require_once $_0.'compiled/dh'.B;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>02408.COM网站后台管理系统免费版安装</title>
<base href="<?php echo _ML?>" />
<script type="text/javascript" src="system/js/jquery.js"></script>
<script type="text/javascript" src="system/copy/js/pc.js"></script>
<script type="text/javascript" src="system/copy/js/jquery.qrcode.min.js"></script>
<style>
body{margin:0 auto;color: #333;background: #F4F4F4;}
body,button,input,select,textarea{ line-height:22px;font-size:14px;font-family:"微软雅黑","宋体","Trebuchet MS",Tahoma,Arial,sans-serif}
body,center,blockquote,fieldset,legend,figure,details,textarea,marquee,menu,menuitem,nav,form,input,button,pre,td,th,ol,ul,li,dl,dt,dd,h1,h2,h3,h4,h5,h6,hr,p{margin:0;padding:0}
h1,h2,h3,h4,h5,h6{font-size:100%;font-family:"Microsoft YaHei",Georgia,"Lucida Family",MicrosoftJhengHei,"Trebuchet MS",Tahoma}
a,input,button,select,textarea,menuitem{outline:none;}
tt{display:block}
ol,ul,li{list-style:none;}
del,.hide{display:none}
header{ width:1000px;height:90px; margin:10px auto}
hgroup h1{ float:right; padding-top:70px;text-align:center;font-size:18px;}
hgroup h1 i{ color:#F00}
hgroup img{float:left}
h2{height:30px;padding-left:1%;background: #CCCCCC;line-height:30px;font-size:16px;}
h2 a{float:right;padding-right:10px;font-weight:400;color:#C30;}
.b1{height:1px;margin:5px auto;background-color:#333;overflow:hidden;}
.b2{width:90%; margin:10px 0 0 5%;height:350px;border:1px #C0C0C0 solid;overflow:auto;}
.b3{padding:10px}
.b4{ width:100%;text-align:center}
.b5{font-weight:bold;color:#f00;line-height:40px;font-size:36px;}
.b6{display:none}
center{width:999px; margin:0 auto; text-align:left}
p input,.button{margin-top:5px; padding:3px 8px; border:1px solid #ccc}
li{margin-top:10px}
.tanchuang{width:100%;top:0;left:0;position: absolute;z-index:99999;display:none;background:#000000;filter:alpha(opacity=70);-moz-opacity:0.6;-khtml-opacity: 0.6;opacity: 0.6;}
.tan{ width:90%;position: fixed; top:0;z-index:100000;background-color:#fff;border-radius:4px;background-color:#fff;box-shadow: 0 0 8px #111111;-webkit-box-shadow: 2px 2px 9px #111111;filter:progid:DXImageTransform.Microsoft.Shadow(color=#111111,direction=120,strength=8);}
.tan0{width:100%; height:100%;overflow:auto}
.tan3{height:20px;margin:4px 2px 0 0;padding:5px;}
.tan3 h3{height:18px;line-height:18px;font-size:16px;padding:2px 10px;color:#030; background-color:#fff}
.tan3 span{float:right;width:19px;height:19px; margin-top:-1px;line-height:17px;font-size:20px;text-align:center;cursor:pointer;color:#fff;background-color:#666}
.tan4{margin-left:10px;clear:both}
.tan4 h6{float:left;width:46%;padding-left:4%; font-weight:400;cursor:pointer}
.tan5{height:5px;clear:both}
.wxsm{color:#f00;cursor:pointer}
.url_ewm_w{width:120px; height:120px}
.url_ewm,.url_ewm canvas{display:inline-block; width:120px; height:120px}
form{width:90%; margin:10px 0 0 5%;}
form h4{padding-top:8px; font-weight:400;color:#f60}
form h4 span{color:#09F}
footer{height:100px; margin-top:99px;text-align:center; color:#FFF;background-color:#000;padding-top:30px;font-size:12px;border-top:2px solid #e0e0e0;overflow:hidden}
footer a{ color:#369}
</style>
<script type="text/jscript">
$(document).ready(function(){
	$('.wxsm').click(function(){
		tanchuang('手机扫码看效果','<div class="url_ewm_w"><div class="url_ewm"></div></div><tt></tt>');
		jQuery('.url_ewm').qrcode('http<?php echo _Z(0)?'s':''?>://<?php echo WWW?>');
	});
	$('footer').width('100%');
})
function set(a){
	if(a==3){
		if(parseInt($(".b6").html())>0) return;
		var b=parseInt($(".b5").html());
		$(".b8").html(b);
		if(b>0){
			b=b-1;
			$(".b5").html(b);
		}else{
			$.ajax({
				url: "<?php echo _SN?>?get=3",
				success: function(b){
					$(".b6").html(1);
					if(b==3){
						$('.ok').hide();
						$('.no').show();
					}else{
						$('.ok').show();
						$('.no').hide();
					}
				$('.show').hide(333);
				$('.hide').show(555);
			}});
		}
		return;
	}
	if(a==1){
		if(!$("#alow").is(':checked')){
			tanchuang('细阅读并接受相关说明，才可以进行下一步');return tuitan(2);
		}
	}
	if(a==2){
		var b=0;
		$("ul input").each(function(i){
			if(i<3&&$(this).val()=='')b=1;
		});
		if(b){
			tanchuang('表单内容不能为空！');tuitan(2);return false; 
		}
	}
	$("form").submit();
}
</script>
</head>
<body>
<header>
<hgroup>
<h1>02408.COM<big><i>全能型</i></big> 网站管理系统安装程序</h1>
<a target="_blank" href="http://www.02408.com"><img src="system/img/system.png"></a>
</hgroup>
</header>
<center>
<tt class="b1"></tt>
<?php
function e_qx($a,$b=0){
	return "<br><strong>注意：请修改网站根目录<font color='#FF0000'> $a </font>".($b?'目录':'文件')."有读写权限！</strong>";
}
function cp($a,$b,$c=0){
	if($c)return @copy($a,$b);
	$c=opendir($a);
	!is_dir($b)&&FI($b);
	while(false!==($d=readdir($c))){
		if(($d!='.')&&($d!='..')){
			if(is_dir($a.'/'.$d))
				cp($a.'/'.$d,$b.'/'.$d);
			else
				@copy($a.'/'.$d,$b.'/'.$d);
	}}
	closedir($c); 
}
function _G($a=_SN,$b='',$c=0){
	return "<?php\ndefine('_A','".HO."');\ndefine('_B','".US."');\ndefine('_C','".NA."');\ndefine('_D','".PA."');\ndefine('_E','utf8');\ndefine('_F',3306);".($c?"\ndefine('_G',".(_G?'T':'N').");":'')."\ndefine('_M','');\ndefine('_P','');\ndefine('DB','jjqyw');\ndefine('URL','{$a}');\ndefine('ML','"._ML."');\ndefine('CP',".date('Y').");\ndefine('DH','{$b}');\n!_A&&die(_F(C.A.D.'install'.B));";
}
switch($_3){
	case 0:
	foreach(array('HO','US','NA','PA') as $v)define($v,V);
?>
<del><img src="<?php echo _SN?>?get=8" ></del>
<div class="b2">
<h2>感谢您选择并使用02408.COM网站后台管理系统！</h2>
<div class="b3">软件作者：02408站长&nbsp;&nbsp; 官方网站：<a target="_blank" href="http://www.02408.com">http://www.02408.com</a>&nbsp;&nbsp; 手机版：<a target="_blank" href="http://02408.com">http://02408.com</a>&nbsp; <span class="wxsm">点击查看手机版效果</span><br />
<li><b>一.功能简介</b></li>&nbsp;&nbsp;&nbsp; 02408.com全能型网站管理系统是一款基于PHP+MySQL语言开发的系统，可与十多万钻石销售信息数据对接，是一款功能强大<font color="#FF0000">完全免费的</font>通用网站后台管理系统。本系统不同于以往任何逻辑架构的网站程序。文章系统、博客系统、商城系统、企业网站、个性化论坛等都能用。不依赖任何服务器组件的缓存技术，让您的网站访问速度无比流畅，抗攻击性更强！本站还提供自学PHP教程、自学SEO教程、网站程序、网站模板、网站系统源码免费下载。<br />
<li><b>二.安装说明：</b></li>
&nbsp;&nbsp;&nbsp;1.下载本系统后，解压压缩包后，将解压缩得到的所有文件上传到网站空间根目录，不在安装在二级目录！初次运行，系统会自动默认转到系统安装页面，按相关提示要求完成安装即可！<br />
&nbsp;&nbsp;&nbsp;2.如要再次运行重新安装系统，请打开网站根目录下的02408.com_config.php配置文件，将第2行改为<font color="#0000FF">define('_A','');</font>即可。<br>
<li><b>三.协议条款</b></li>
&nbsp;&nbsp;&nbsp;1.在完全遵守协议条款、尊重本软件开发者劳动成果和不侵犯本软件开发者合法利益的前提下，无论您是否将本软件用于商业用途，您都有不向本软件开发者支付任何费用免费使用本软件的权利；<br>
&nbsp;&nbsp;&nbsp;2.无论如何，及是否经过修改或美化、删减、增加、修改等其程度如何，只要使用02408.COM网站管理系统的整体或任何部分，未经书面许可，绝不允许修改、清除页面页脚处的http://02408.com链接和文字；<br>
&nbsp;&nbsp;&nbsp;3.禁止在02408.COM网站管理系统的整体或任何部分基础上以发展任何派生版本、修改版本或第三方版本用于重新分发，不得对本软件或与之关联的商业授权进行出租、出售、抵押或发放子许可证；<br />
&nbsp;&nbsp;&nbsp;4.如果您未能遵守本协议的条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。<br>
<li><b>四.免责声明</b></li>
&nbsp;&nbsp;&nbsp;1.本软件及所附带的文件是作为不提供任何明确的或隐含的赔偿或担保的形式提供的；<br />
&nbsp;&nbsp;&nbsp;2.用户出于自愿而使用本软件，您必须了解使用本软件的风险，在尚未购买产品技术服务之前，我们不承诺提供任何形式的技术支持、使用担保，也不承担任何因使用本软件而产生问题的相关责任；<br />
&nbsp;&nbsp;&nbsp;3.电子文本形式的授权协议如同双方书面签署的协议一样，具有完全的和等同的法律效力。您一旦开始安装02408.COM网站管理系统，即被视为完全理解并接受本协议的各项条款，在享有上述条款授予的权力的同时，受到相关的约束和限制。协议许可范围以外的行为，将直接违反本授权协议并构成侵权，我们有权随时终止授权，责令停止损害，并保留追究相关责任的权力。<br />
<li><b>五.该协议的修改权和解释权归作者所有。</b></li>
</div></div>
<form method="post" action="<?php echo _SN?>?get=1">
<ul>
<li><label><input type="checkbox" id="alow" value="1" />我已仔细阅读并接受相关说明，可以进行下一步操作！</label></li>
<li><p><input type="button" onclick="set(1)" value="下一步，配置系统"></p></li>
</ul>
</form>
<?php
break;
case 1:
foreach(array('HO','US','NA','PA') as $v)define($v,V);
if(intval(PHP_VERSION)<5)exit('<i class="red">抱歉，请先升级到 PHP5.0 以上版本！</i>'."<hr>".$qz.$ft);
$str='';
if (strlen(_G($URL))!=filesize($c1)){
	$str.=e_qx(D.H.E.'config.php');
}
if (!is_file(C.D.'robots.txt')){
	$str.=e_qx(D.'robots.txt');
}
foreach(array('/js/','/css/','/cache/','/upload/') as $v){
	if(!is_dir(C.$v))$str.=e_qx($v,1);
}
if(!is_dir(C.($v=A.D.'compiled'.D)))$str.=e_qx(A.D,1);


	foreach(array(H,'sm','smtp') as $v){
		$vv=C.A.D.$v.B;
		if(is_file($vv)){
			@unlink($vv);
			if(is_file($vv))
				$str.=e_qx(A.D.$v.B);
		}
		cp($_0.$v.B,$vv,H);
		if(!is_file($vv))
			$str.=e_qx(A.D.$v.B);
	}

if($str)echo $str.'<form method="post" action="'._SN.'?get=0"><li><p><input type="submit" value="重新进入系统配置"></p></li></form>
';
else{
?>
<div class="b2">
<h2>   数据库帐号设置</h2>
<div style="padding:0 0 0 50px;">
<form action="<?php echo _SN?>?get=2" method="post">
<del><input name="pass" type="password" value="" /></del>
<?php
if($c3)echo '<div class="red"><b>注意！</b>当前域名仅限PC版网站测试，如测试完整版（包含手机版），请使用非ip域名，并且顶级域名和带www的二级域名都要解析到当前服务器。</div>';
?>
<ul style="padding:10px;">
<li>数据库地址：<input name="host" type="text" value="localhost"/> 一般为localhost</li>
<li>数据库名称：<input name="name" type="text" value="" /></li>
<li>数据库帐号：<input name="user" type="text" value="" /></li>
<li>数据库密码：<input name="pass" type="password" value="" /> 看不懂？请参考：<a target='_blank' href='http://www.02408.com/p-MySQL-shujukuzhanghao.html'>如何设置数据库帐号</a>。</li>
<li>全新安装：<label><input name="xin" checked type="checkbox" value="1" /> （原有数据将被彻底删除，并不可恢复！）</label></li>
<li style="display:none">钻石数据：<label><input name="zuan" type="radio" value="02408.com.sql" /> 保留</label> <label><input name="zuan" type="radio" value="02408.sql" checked /> 不保留</label></li>
<h4 style="display:none">注意：由于数据库中<span>十多万钻石</span>销售数据，如果保留钻石数据，服务器文件上传最小限制和数据库空间不能低于30M。</h4>
<li><p><input onclick="set(2)" type="button" value=" 》 下一步 - 提交数据库设置  "/></p></li>
</ul>
</form>
</div>
</div>
<?php
}
break;
case 2:
echo '<script type="text/jscript">$(document).ready(function(){window.setInterval("set(3)", 1000); ;})</script>';
if(count($_POST)<4)die("<meta http-equiv='refresh' content=0;url='"._SN."'>");
$l=@new mysqli(HO.':'._F,US,PA);
if($l){
	$err=$l->connect_error;
	if(!is_null($err)){
		$link = @mysql_connect(HO,US,PA);
		if(!$link)die("<h2 class='red'>数据库连接失败！</h2><br>错误编号：".mysql_errno()."<br>".mysql_error()."<hr>".$qz.$ft);
		if(!mysql_select_db(NA, $link)){
			die("<h2 class='red'>数据库连接失败！</h2><br>错误编号：".mysql_errno()."<br>".mysql_error()."<hr>".$qz.$ft);
		}else $_1=0;
		$err=addslashes($err);
		$encode = mb_detect_encoding($err,array("ASCII",'UTF-8','GB2312',"GBK",'BIG5'));
		if($encode != 'UTF-8') $err = mb_convert_encoding($err,'utf-8',$encode);
		if($_1)die("<h2>数据库连接失败</h2><p style='padding-top:10px; line-height:50px'><b>无法连接数据库，请检查主机地址、数据库用户名或者密码是否正确，或者MySQL数据库版本是否低于5.0。</b><br>".GL($err,3)."<hr>".$qz.$ft);
		mysql_close();
		define('_G',F);
	}else{
		$l->query("CREATE DATABASE IF NOT EXISTS `".NA."` DEFAULT CHARACTER SET "._E);
		$l->query("SET NAMES '"._E."'");
		if(intval($l->server_info)<5)die("<h2 class='red'>安装失败！</h2><br>请将您的mysql升级到5.0以上<hr>".$qz.$ft);
		if(!$l->select_db(NA)){
			switch ($l->errno){
				case '1044':$err="无法创建新的数据库，请检查数据库名称填写是否正确";break;
				case '1045':$err="无法连接数据库，请检查数据库用户名或者密码是否正确";break;
				case '1049':$err="无法连接数据库，请检查数据库用户名格式是否正确";break;
				case '2003':$err="无法连接数据库，请检查数据库是否启动，数据库服务器地址是否正确";break;
				default:$err="数据库连接错误".$l->errno.'：';break;
			}
		echo'<h2>系统安装出错！</h2><p style="padding-top:10px; line-height:50px"><b>'.$err.'</b><br><b>错误编号：</b>'.$l->errno.'<br>'.GL($l->error,3).'<hr>'.$qz.'</p>';
		}
	$l->close();
	define('_G',T);
	}
	C('ZU',ZU);
	$_G=_G($URL,$dh,1);
	$db=_D(array('z'));
	$q=file_get_contents(C.A.D.ZU);
	$s_arr=preg_split("/;[\r\n]+/",$q);
	if($dt=$db->B()){
		if(defined('XI')){
			$arr=array();
			foreach(array('ad','fw','new','new_category','order','pl','setting','tag','template','text','tongji','user','version','zs','zs2') as $v)
			$arr[]=DB.E.$v;
			foreach($dt as $v)if(in_array($v,$arr))$db->Q('DROP TABLE '.$v);
			$dt=NULL;
		}
	}
	if(defined('XI')){
		if(!$dt)foreach ($s_arr as $k=>$v)if(!empty($v))$db->Q($v);
		$db->U('setting',"id='1'","ym='<bdi><a href=\"".$URL."wd/".date('Y-m')."/\"><span>".date('Y年m月')."</span></a><samp>(2)</samp></bdi>',dha='{$dh1}',dhb='{$dh2}'");
		$db->U('new',"id='1'","atime='".time()."',btime='".date('Y-m-d H:i:s')."',ctime='".(time()+200000)."',dtime='".(time()+2592001)."'");
		$db->U('new',"id='2'","atime='".time()."',btime='".date('Y-m-d H:i:s')."'");
		$arr=array('head'=>'head代码','header'=>'全站头部公共模板','index'=>'首页模板','category'=>'分类模板','id'=>'产品/文章详情页面模板','d'=>'钻石对接页面模板','tags'=>'标签云页面模板','tag'=>'标签列表页面模板','u'=>'会员/专题页面模板','wd'=>'时间归档页面模板','pic'=>'图片展示页面模板','guestbook'=>'留言板模板','footer'=>'全站底部公共模板');
		$tt=1;
		foreach($arr as $k=>$v){
			$ttt=strlen($tt)==1?'0'.$tt:$tt;
			$t=file_get_contents(C.A.'/compiled/A'.$k.B, 'r');
			$db->C('template',"type='".$k."' , pc=1 , yn=1 , px=$tt , tm='".(substr(time(),0,-3)).$ttt."1' , text='".trim(GL($t,2))."'");
			$t=file_get_contents(C.A.'/compiled/B'.$k.B, 'r');
			$db->C('template',"type='".$k."' , pc=0 , yn=1 , px=$tt , tm='".(substr(time(),0,-3)).$ttt."0' , text='".trim(GL($t,2))."'");
			$tt++;
	}}
	$arr=$db->R('setting','id=1');
	if(isset($sq)) $db->U('setting','id=1',$sq);
	foreach($arr as $k=>$v)define(strtoupper($k),$v);
	A(4,$arr,array('',$db,$URL));
	file_put_contents($c1,$_G);
	FN(array('w0',preg_replace('/^www\./','',WWW)));
	FN(array('w3','www.'.W0));
	define('PC',substr(WWW,0,4)=='www.'||is_numeric(str_replace('.','',WWW))?1:0);
	echo '<div class="b6"></div><div class="show"><h3>正在安装，大约需要一分钟，请稍后。</h3><div class="b4"><div class="b5">69</div><img style="padding-top:30px" src="system/img/loading.gif" /> </div></div><div class="hide"><h2 class="no"><img src="system/img/warning.gif" /> 检测安装出现异常</h2> <p class="no">在这里查找解决办法或留言咨询，<a target="_blank" href="http://www.02408.com/">http://www.02408.com/</a>。</p><p class="get no"><a href="'._SN.'?get=0" class="button">或者返回重新配置</a> <a target="blank" href="tencent://message/?uin=770111722&Menu=yes" class="lan" no><img align="absMiddle" src="http://wpa.qq.com/pa?p=4:770111722:4" border="0"> 付费技术支持:QQ(770111722)</a></p><h2 class="ok"><img src="system/img/note_ok.gif" /> 恭喜您安装成功<a target="blank" href="http://www.02408.com/p-ruhebagerenwangzhanzuoda.html">&gt;&gt; 如何把个人网站做大？</a></h2><div style="padding-top:10px; line-height:35px">后台默认管理员：admin，初始密码：www.02408.com，记得登录后一定要修改哦！<br>本系统默认将顶级域名(不带www的域名）设置为手机版网站，带www的二级域名为PC版网站。<p> <a target="_blank" href="'.($c2=='localhost'?'127.0.0.1':'http'.(_Z(0)?'s':'').'://'.($c2==''?WWW.$URL:W3.$URL)).'"><img src="system/img/home_1.png" /> 查看PC版首页</a>　<a target="_blank" href="http'.(_Z(0)?'s':'').'://'.($c3?'localhost'.$URL:W0.$URL).'"><img src="system/img/home.gif" /> 查看手机版首页</a>　<a target="_blank" href="'.$URL.'admin/index.html"><img src="system/img/i.png" /> 进入后台管理</a></div>';
		echo $c3?'<p style="padding:10px;border-radius:2px;border:1px solid #f00;color:#f00"><img src="system/img/icon_warning.gif" /> <b>注意！</b>当前域名仅限PC版网站测试，如测试完整版，请使用非ip域名，并将顶级域名和带www的二级域名都解析到网站指定ip，系统会自动将顶级域名设置为手机版网站，带www的二级域名为PC版网站。</p>':'<p style="padding:10px;border-radius:2px;border:1px solid #060;color:#040"><img src="http://qr.liantu.com/api.php?text=http'.(_Z(0)?'s':'').'://'.W0.'" style="width:150px;" /><BR>用手机扫码上面二维码直接访问<b>手机版网站</b>，<i class="red">花299元将此站制作成安卓版APP</i>（不包含logo图片设计制作）！<a target="blank" href="tencent://message/?uin=770111722&Menu=yes" class="lan"><img align="absMiddle" src="http://wpa.qq.com/pa?p=4:770111722:4" border="0"> 付费技术支持:QQ(770111722)</a>';

	}else{
		$l->query("CREATE DATABASE IF NOT EXISTS `".NA."` DEFAULT CHARACTER SET "._E) or die("<p class='b2'>创建数据库失败！<br>官网求助查找解决办法，<a target='_blank' href='http://www.02408.com/'>http://www.02408.com/</a>。 <a href='"._SN."?get=0' class='button'>或者返回重新配置</a></p>");
		$l->select_db(NA);
	}
	break;
	case 8:
	foreach(array('HO','US','NA','PA') as $v)define($v,V);
	Ft(W,1);
	foreach(array('robots.txt') as $v)cp($_0.$v,C.D.$v,D);
	foreach(array(H,'sm','smtp') as $v)cp($_0.$v.B,C.A.D.$v.B,H);
	foreach(array('js','css','cache','upload') as $v)cp($_0.$v.D,C.D.$v.D);
	cp($_0.'compiled'.D,C.A.D.'compiled'.D);
	@file_put_contents($c1,_G($URL));
	die;
	break;
}
echo $ft;?>
</body>
</html>
<?php die;